# Transfers

## Transfer Request

<mark style="color:green;">`POST`</mark> `https://public_key:secret_key@api.ippopay.com/v1/payout/transfer/request`

Use this api to initiate a transfer to your added beneficiary. You can get your keys from the payout api dashboard.

#### Request Body

| Name             | Type   | Description                                                                                                                                                                                                 |
| ---------------- | ------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| amount           | number | 10.00                                                                                                                                                                                                       |
| trans\_ref       | string | <p>Unique Transfer Reference id for the Transfer.<br>Accepts only alpha numeric.</p>                                                                                                                        |
| beneficiary\_ref | string | Reference id of the created beneficiary.                                                                                                                                                                    |
| remarks          | string | Transaction remarks.                                                                                                                                                                                        |
| pay\_mode        | string | <p>Payment modes to be used for this transaction, Defaults to NEFT.<br>Available modes: "NEFT", "IMPS", "RTGS"<br>IMPS: Transactions value up to INR 200000<br>RTGS: Transaction value above INR 200000</p> |

{% tabs %}
{% tab title="200 " %}

```
{
    "success": true,
    "message": "Payout Accepted",
    "data": {
        "transfer": {
            "commission": {
                "value": 4,
                "total": 4
            },
            "status": "accepted",
            "merchant_id": "TaodSgGa",
            "trans_id": "trans_VRm7frCeE",
            "trans_ref": "test24",
            "beneficiary": {
                "account": {
                    "number": "50100035304529",
                    "ifsc": "HDFC0000674"
                }
                "beneficiary_id": "bene_0sWxgFdY@",
                "beneficiary_ref": "jaikumarr"
            },
            "pay_mode": "IMPS",
            "amount": 1,
            "total_deduction": 5,
            "product_type": "payout",
            "trans_type": "DEBIT",
            "init_source": "api",
            "remarks": "Testing",
            "updatedAt": "2021-05-11T14:59:07.594Z",
            "createdAt": "2021-05-11T14:59:07.594Z"
            
        }
    }
}
```

{% endtab %}
{% endtabs %}

```javascript
 {
	"amount":10.00,
	"trans_ref":"xxxxx",
	"pay_mode":"NEFT",
	"remarks":"Testing",
	"beneficiary_ref":"xxxxx"
}
```

## Transfer Details

<mark style="color:blue;">`GET`</mark> `https://public_key:secret_key@api.ippopay.com/v1/payout/transfer/detail?trans_ref=xxxx`

Use this api to get the status of  a transfer. You can get your keys from the payout api dashboard.

#### Query Parameters

| Name       | Type   | Description                                          |
| ---------- | ------ | ---------------------------------------------------- |
| trans\_ref | string | Unique transfer id used to initiate the transaction. |

{% tabs %}
{% tab title="200 " %}

```
{
    "success": true,
    "message": "Payout Accepted",
    "data": {
        "transfer": {
            "commission": {
                "value": 4,
                "total": 4
            },
            "status": "accepted",
            "merchant_id": "TaodSgGa",
            "trans_id": "trans_VRm7frCeE",
            "trans_ref": "test24",
            "beneficiary": {
                "account": {
                    "number": "50100035304529",
                    "ifsc": "HDFC0000674"
                }
                "beneficiary_id": "bene_0sWxgFdY@",
                "beneficiary_ref": "jaikumarr"
            },
            "pay_mode": "IMPS",
            "amount": 1,
            "total_deduction": 5,
            "product_type": "payout",
            "trans_type": "DEBIT",
            "init_source": "api",
            "remarks": "Testing",
            "updatedAt": "2021-05-11T14:59:07.594Z",
            "createdAt": "2021-05-11T14:59:07.594Z"
            
        }
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ippopay.com/payouts/transfers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
